<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpFlickerReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.line.RMpFlickerReportDPO">
    <!--@mbg.generated-->
    <!--@Table r_mp_flicker_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="VOLTAGE_FLUCTUATION_MAX" jdbcType="FLOAT" property="voltageFluctuationMax" />
    <result column="VOLTAGE_FLUCTUATION_MIN" jdbcType="FLOAT" property="voltageFluctuationMin" />
    <result column="VOLTAGE_FLUCTUATION_AVG" jdbcType="FLOAT" property="voltageFluctuationAvg" />
    <result column="VOLTAGE_FLUCTUATION_95" jdbcType="FLOAT" property="voltageFluctuation95" />
    <result column="SHORT_TERM_SEVERITY_MAX" jdbcType="FLOAT" property="shortTermSeverityMax" />
    <result column="SHORT_TERM_SEVERITY_MIN" jdbcType="FLOAT" property="shortTermSeverityMin" />
    <result column="SHORT_TERM_SEVERITY_AVG" jdbcType="FLOAT" property="shortTermSeverityAvg" />
    <result column="SHORT_TERM_SEVERITY_95" jdbcType="FLOAT" property="shortTermSeverity95" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, VOLTAGE_FLUCTUATION_MAX, VOLTAGE_FLUCTUATION_MIN, 
    VOLTAGE_FLUCTUATION_AVG, VOLTAGE_FLUCTUATION_95, SHORT_TERM_SEVERITY_MAX, SHORT_TERM_SEVERITY_MIN, 
    SHORT_TERM_SEVERITY_AVG, SHORT_TERM_SEVERITY_95
  </sql>
</mapper>